<template>
	<div class="g_bg_page g_pl_10 g_pr_10">
		<div class="g_h_20"></div>
		<div class="g_mb_10 g_fs_18 g_pl_10">「{{ agencyInfo.inviteUserName || "-" }}」邀请您加入他的团队：</div>
		<div class="r_box g_pt_24 g_pb_16 g_text_c">
			<img class="g_h_80 g_w_80 g_radius_50" :src="agencyInfo.logo || 'https://matripe-cms.oss-cn-beijing.aliyuncs.com/dailibaoming/APP/default.svg'" alt="" />
			<div class="g_fs_20 g_mt_12 g_mb_12 g_fw_600">
				{{ agencyInfo.fullName || "-" }}
			</div>
			<div class="g_c_9 g_fs_14">
				{{ agencyInfo.desp || "-" }}
			</div>
		</div>
		<div class="g_mt_30">
			<div class="g_fs_20 g_mb_8 g_pl_12">填写个人信息:</div>
			<div class="r_box g_pl_10">
				<u-input v-model="userInfo.userName" height="88" placeholder="请输入你的姓名"></u-input>
			</div>
			<div class="g_fs_12 g_c_9 g_pl_12">该名称会在团队成员列表显示，创建人可以修改。</div>
		</div>
		<div class="g_mt_84">
			<g-button v-if="applying == 0 && agencyInfo.agencyName" btnText="申请加入团队" type="primary" class="" @clickBtn="applyAdd"></g-button>
			<g-button v-else-if="applying == 2" btnText="已加入" type="disabled" class=""></g-button>
			<g-button v-else btnText="已申请" type="disabled" class=""></g-button>
		</div>
	</div>
</template>

<script>
export default {
	data() {
		return {
			agencyInfo: {
				agencyName: "",
				fullName: "",
			},
			userInfo: {
				userName: "",
				userId: "",
			},
			applying: 0,
			inviteUserId: "",
			uid: "",
			ing: false,
		};
	},
	onLoad(options) {
		console.log(options);
		// options.scene = "id=3087_101125";
		if (uni.getStorageSync("scene") || options.scene) {
			console.log("XXXXXXXXXXXX");
			//扫小程序码携带参数
			var sceneStr = uni.getStorageSync("scene") ? decodeURIComponent(uni.getStorageSync("scene")) : decodeURIComponent(options.scene);
			var sceneJson = this.G.sceneToJson(sceneStr);
			console.log("sceneJson===", sceneJson);
			this.inviteUserId = sceneJson.id.split("_")[1];
			this.uid = sceneJson.id.split("_")[0];
			this.G.checkToken().then((info) => {
				console.log("info11", info);
				if (!info.msg) {
					this.userInfo = uni.getStorageSync("apply-userinfo");
					this.getAgencyById();
					this.checkHasApply();
					uni.removeStorageSync("scene");
				} else {
					// uni.reLaunch({
					// 	url: `/pages/login/index?path='/root1/person/memberApplyAdd'&scene=${options.scene}`,
					// });
					uni.setStorageSync("scene", options.scene);
				}
			});

			// uni.setStorageSync("AGENCY_USER_ID", this.userId);
		}
	},
	created() {},

	methods: {
		applyAdd() {
			let that = this;

			if (!this.userInfo.userName) {
				uni.showToast({
					title: "请输入你的姓名",
					icon: "none",
				});
				return;
			}
			if (this.ing) {
				return;
			}
			that.ing = true;
			this.G.Post(this.api.order_addApply, { agencyId: that.uid, username: this.userInfo.userName, inviteUserId: this.inviteUserId }, (res) => {
				uni.showToast({
					title: "申请成功",
					icon: "none",
				});
				that.checkHasApply();
				console.log(res);
			});
		},
		getAgencyById() {
			let that = this;
			this.G.Get(this.api.order_getAgencyByIdForApply, { agencyId: that.uid, inviteUserId: this.inviteUserId }, (res) => {
				console.log(res);
				that.agencyInfo = res;
			});
		},
		checkHasApply() {
			let that = this;
			this.G.Post(this.api.order_checkHasApply, { agencyId: that.uid, userId: this.userInfo.id }, (res) => {
				if (res) {
					if (res.userExist == 1) {
						that.applying = 2;
					} else {
						that.applying = 1;
					}
				} else {
					that.applying = 0;
				}
				that.ing = false;
				console.log(res);
			});
		},
	},
};
</script>

<style></style>
